Skip to content
Start here

Fetch day-wise session and recording analytics data for an App

client.realtimeKit.livestreams.getOrgAnalytics(stringappId, LivestreamGetOrgAnalyticsParams { account_id, end_date, start_date } params, RequestOptionsoptions?): LivestreamGetOrgAnalyticsResponse { data, success }
GET/accounts/{account_id}/realtime/kit/{app_id}/analytics/daywise

Returns day-wise session and recording analytics data of an App for the specified time range start_date to end_date. If start_date and end_date are not provided, the default time range is set from 30 days ago to the current date.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Realtime AdminRealtime
ParametersExpand Collapse
appId: string

The app identifier tag.

maxLength32
params: LivestreamGetOrgAnalyticsParams { account_id, end_date, start_date }
account_id: string

Path param: The account identifier tag.

maxLength32
end_date?: string

Query param: end date in YYYY-MM-DD format

start_date?: string

Query param: start date in YYYY-MM-DD format

ReturnsExpand Collapse
LivestreamGetOrgAnalyticsResponse { data, success }
data?: Data { recording_stats, session_stats }
recording_stats?: RecordingStats { day_stats, recording_count, recording_minutes_consumed }

Recording statistics of an App during the range specified

day_stats?: Array<DayStat>

Day wise recording stats

day?: string
total_recording_minutes?: number

Total recording minutes for a specific day

total_recordings?: number

Total number of recordings for a specific day

recording_count?: number

Total number of recordings during the range specified

recording_minutes_consumed?: number

Total recording minutes during the range specified

session_stats?: SessionStats { day_stats, sessions_count, sessions_minutes_consumed }

Session statistics of an App during the range specified

day_stats?: Array<DayStat>

Day wise session stats

day?: string
total_session_minutes?: number

Total session minutes for a specific day

total_sessions?: number

Total number of sessions for a specific day

sessions_count?: number

Total number of sessions during the range specified

sessions_minutes_consumed?: number

Total session minutes during the range specified

success?: boolean

Fetch day-wise session and recording analytics data for an App

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.realtimeKit.livestreams.getOrgAnalytics('app_id', {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.data);
{
  "data": {
    "recording_stats": {
      "day_stats": [
        {
          "day": "day",
          "total_recording_minutes": 0,
          "total_recordings": 0
        }
      ],
      "recording_count": 0,
      "recording_minutes_consumed": 0
    },
    "session_stats": {
      "day_stats": [
        {
          "day": "day",
          "total_session_minutes": 0,
          "total_sessions": 0
        }
      ],
      "sessions_count": 0,
      "sessions_minutes_consumed": 0
    }
  },
  "success": true
}
Returns Examples
{
  "data": {
    "recording_stats": {
      "day_stats": [
        {
          "day": "day",
          "total_recording_minutes": 0,
          "total_recordings": 0
        }
      ],
      "recording_count": 0,
      "recording_minutes_consumed": 0
    },
    "session_stats": {
      "day_stats": [
        {
          "day": "day",
          "total_session_minutes": 0,
          "total_sessions": 0
        }
      ],
      "sessions_count": 0,
      "sessions_minutes_consumed": 0
    }
  },
  "success": true
}